> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/areas/lookup
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas/lookup:
    get:
      tags:
        - Project Areas
      summary: Lookup
      operationId: ProjectAreasController_lookup_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaLookupResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectAreaLookupResponseDto:
      type: object
      properties:
        version:
          type: integer
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaLookupItemDto'
      required:
        - version
        - items
    ProjectAreaLookupItemDto:
      type: object
      properties:
        parentId:
          type: string
          nullable: true
        level:
          type: integer
        position:
          type: integer
        code:
          type: string
          nullable: true
        instanceTags:
          nullable: true
          type: array
          items:
            type: string
        id:
          type: string
        name:
          type: string
      required:
        - parentId
        - level
        - position
        - code
        - instanceTags
        - id
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````